- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, R > Class Template Reference

Base class for binary metrics dedicated to the performance comparison between two solutions's objective vectors using normalized values. More...

`#include <moeoNormalizedSolutionVsSolutionBinaryMetric.h>`

Inheritance diagram for moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, R >:

List of all members.

## Public Member Functions
| moeoNormalizedSolutionVsSolutionBinaryMetric ()
| Default ctr for any moeoNormalizedSolutionVsSolutionBinaryMetric object.
void | setup (double _min, double _max, unsigned _obj)
| Sets the lower bound (_min) and the upper bound (_max) for the objective _obj _min lower bound _max upper bound _obj the objective index.
virtual void | setup (eoRealInterval _realInterval, unsigned _obj)
| Sets the lower bound and the upper bound for the objective _obj using a eoRealInterval object _realInterval the eoRealInterval object _obj the objective index.
## Static Public Member Functions
static double | tiny ()
| Returns a very small value that can be used to avoid extreme cases (where the min bound == the max bound).
## Protected Attributes
std::vector< eoRealInterval > | bounds
| the bounds for every objective (bounds[i] = bounds for the objective i)

## Detailed Description

### template<class ObjectiveVector, class R>
class moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, R >

Base class for binary metrics dedicated to the performance comparison between two solutions's objective vectors using normalized values.

Then, indicator values lie in the interval [-1,1]. Note that you have to set the bounds for every objective before using the operator().

Definition at line 26 of file moeoNormalizedSolutionVsSolutionBinaryMetric.h.

The documentation for this class was generated from the following file:

- moeoNormalizedSolutionVsSolutionBinaryMetric.h